gtkmm: Gtk::Invisible Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::Invisible Class Reference
Widgets

This widget is used internally in GTK+, and is probably not useful for application developers. More...

Inheritance diagram for Gtk::Invisible:
[legend]
Collaboration diagram for Gtk::Invisible:
[legend]

List of all members.

## Public Member Functions
virtual | ~Invisible ()
GtkInvisible* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkInvisible* | gobj () const
| Provides access to the underlying C GtkObject.
| Invisible ()
| Invisible (const Glib::RefPtr< Gdk::Screen >& screen)
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Returns the Gdk::Screen object associated with invisible.
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Returns the Gdk::Screen object associated with invisible.
void | set_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Sets the Gdk::Screen where the Gtk::Invisible object will be displayed.
## Related Functions
(Note that these are not member functions.)
Gtk::Invisible* | wrap (GtkInvisible* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This widget is used internally in GTK+, and is probably not useful for application developers.

It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

## Constructor & Destructor Documentation

virtual Gtk::Invisible::~Invisible | ( |  | ) | `[virtual]`

Gtk::Invisible::Invisible | ( |  | ) |

Gtk::Invisible::Invisible | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) | `[explicit]`

## Member Function Documentation

Glib::RefPtr<Gdk::Screen> Gtk::Invisible::get_screen | ( |  | ) |

Returns the Gdk::Screen object associated with invisible.

Since gtkmm 2.2:

Returns:
  The associated Gdk::Screen.

Reimplemented from Gtk::Widget.

Glib::RefPtr<const Gdk::Screen> Gtk::Invisible::get_screen | ( |  | ) | const

Returns the Gdk::Screen object associated with invisible.

Since gtkmm 2.2:

Returns:
  The associated Gdk::Screen.

Reimplemented from Gtk::Widget.

const GtkInvisible* Gtk::Invisible::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Widget.

GtkInvisible* Gtk::Invisible::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Widget.

void Gtk::Invisible::set_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) |

Sets the Gdk::Screen where the Gtk::Invisible object will be displayed.

Since gtkmm 2.2:

Parameters:

  screen | A Gdk::Screen.

## Friends And Related Function Documentation

Gtk::Invisible* wrap | ( | GtkInvisible * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/invisible.h